Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DOMSender

    java.lang.Object
      net.sf.saxon.dom.DOMSender

All Implemented Interfaces:
  LocationProvider, org.xml.sax.Locator, SaxonLocator, javax.xml.transform.SourceLocator

public class DOMSender
extends java.lang.Object
implements SaxonLocator

DOMSender.java: pseudo-SAX driver for a DOM source document. This class takes an existing DOM Document and walks around it in a depth-first traversal, calling a Receiver to process the nodes as it does so

Field Summary
`protected org.w3c.dom.Node` | `root`
`protected java.lang.String` | `systemId`

Constructor Summary
`DOMSender()`

Method Summary
`int` | `getColumnNumber()` Return the column number where the current document event ends.
`int` | `getLineNumber()` Return the line number where the current document event ends.
`int` | `getLineNumber(int locationId)`
`java.lang.String` | `getPublicId()` Return the public identifier for the current document event.
`java.lang.String` | `getSystemId()` Return the system identifier for the current document event.
`java.lang.String` | `getSystemId(int locationId)`
`void` | `send()` Walk a document (traversing the nodes depth first)
`void` | `setPipelineConfiguration(PipelineConfiguration pipe)` Set the pipeline configuration
`void` | `setReceiver(Receiver receiver)` Set the receiver.
`void` | `setStartNode(org.w3c.dom.Node start)` Set the DOM Document that will be walked
`void` | `setSystemId(java.lang.String systemId)` Set the systemId of the source document (which will also be used for the destination)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### root

    protected org.w3c.dom.Node root

### systemId

    protected java.lang.String systemId

Constructor Detail

### DOMSender

    public DOMSender()

Method Detail

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipe)

  Set the pipeline configuration

### setReceiver

    public void setReceiver(Receiver receiver)

  Set the receiver.

  Parameters:
    `receiver` - The object to receive content events.

### setStartNode

    public void setStartNode(org.w3c.dom.Node start)

  Set the DOM Document that will be walked

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Set the systemId of the source document (which will also be used for the destination)

### send

    public void send()
              throws XPathException

  Walk a document (traversing the nodes depth first)

  Throws:
    `XPathException` - On any error in the document

### getColumnNumber

    public int getColumnNumber()

  Description copied from interface: `org.xml.sax.Locator`
  Return the column number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the column number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first column in each line is column 1.

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`
  Returns:
    The column number, or -1 if none is available.
  See Also:
    `Locator.getLineNumber()`

### getLineNumber

    public int getLineNumber()

  Description copied from interface: `org.xml.sax.Locator`
  Return the line number where the current document event ends.

  Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

  The return value is an approximation of the line number in the document entity or external parsed entity where the markup triggering the event appears.

  If possible, the SAX driver should provide the line position of the first character after the text associated with the document event. The first line in the document is line 1.

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`
  Returns:
    The line number, or -1 if none is available.
  See Also:
    `Locator.getColumnNumber()`

### getPublicId

    public java.lang.String getPublicId()

  Description copied from interface: `org.xml.sax.Locator`
  Return the public identifier for the current document event.

  The return value is the public identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`
  Returns:
    A string containing the public identifier, or null if none is available.
  See Also:
    `Locator.getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `org.xml.sax.Locator`
  Return the system identifier for the current document event.

  The return value is the system identifier of the document entity or of the external parsed entity in which the markup triggering the event appears.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`
  Returns:
    A string containing the system identifier, or null if none is available.
  See Also:
    `Locator.getPublicId()`

### getSystemId

    public java.lang.String getSystemId(int locationId)

  Specified by:
    `getSystemId` in interface `LocationProvider`

### getLineNumber

    public int getLineNumber(int locationId)

  Specified by:
    `getLineNumber` in interface `LocationProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD